﻿namespace SoapEndpoint.Tester.Scenario.Flow;

public abstract class ShvFlowItemBase<TMessageType> : FlowItemBase<TMessageType> where TMessageType : Enum
{
    protected ShvFlowItemBase(TMessageType shvType = default, TMessageType shvResultMessageType = default,
        TMessageType seType = default, TMessageType seResultMessageType = default, bool shvHasAttachment = false,
        bool seHasAttachment = false) : base(shvType, shvResultMessageType, seType, seResultMessageType,
        shvHasAttachment, seHasAttachment)
    {
    }

    public override string ToString() => $"ShvFlowItem : {base.ToString()}";
}