﻿using SoapEndpoint.Service.Flows.Waarborgfonds.v1.LogbookService;

namespace SoapEndpoint.Tester.Scenario.Flow.Waarborgfonds;

public class ShvFlowItem : ShvFlowItemBase<BerichtType>
{
    public ShvFlowItem(BerichtType shvType) :
        base(shvType, BerichtType.SYS_Afleverbericht)
    {
    }

    public ShvFlowItem(BerichtType shvType, BerichtType seType, bool shvHasAttachment = false,
        bool seHasAttachment = true) :
        base(shvType, BerichtType.SYS_Afleverbericht, seType, BerichtType.SYS_Afleverbericht, shvHasAttachment,
            seHasAttachment)
    {
    }
}