﻿namespace SoapEndpoint.Tester.Scenario.Flow;

public abstract class SeFlowItemBase<TMessageType> : FlowItemBase<TMessageType> where TMessageType : Enum
{
    protected SeFlowItemBase(TMessageType seType = default, TMessageType seResultMessageType = default,
        TMessageType shvType = default, TMessageType shvResultMessageType = default, bool shvHasAttachment = false,
        bool seHasAttachment = false)
        : base(shvType, shvResultMessageType, seType, seResultMessageType, shvHasAttachment, seHasAttachment)
    {
    }

    public override string ToString() => $"SeFlowItem : {base.ToString()}";
}