﻿using SoapEndpoint.Service.Flows.Inventarisatie.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.Inventarisatie;

namespace SoapEndpoint.Tester.Scenario.Implementations.Inventarisatie;

public class BeeindigingScenario : InventarisatieScenarioBase
{
    public override string Name => "Beëindiging scenario";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Beeindiging 1");

        await Manager.SHV_FlowAsync(Conversation, null,
            new ShvFlowItem(BerichtType.SHV_Saldoverzoek),
            new ShvFlowItem(BerichtType.SHV_Beeindiging));
    }
}